Scrobbler spams feed when ID3 parser errors occur

April 06, 2014 23:21 - Chris Gahan

Status: Rejected Start date: April 06, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.4.3   

Description

It seems that when Audacious encounters a certain kind of ID3 parse error, it updates the track information many many times,

causing the scrobbler plugin to submit the same track hundreds of times in a row (eg: my last.fm account shows 17,000 scrobbles of

a track which I've listened to a few hundred times.)

Here's a track which causes the problem: 

http://chris.ill-logic.com/files/Pigbag%20-%20Papas%20Gotta%20Brand%20New%20Bag.mp3

Here's what my last.fm feed looks like: http://chris.ill-logic.com/images/audacious-overscrobbling.png

Here's what Audacious prints to the console after loading the track:

Entity: line 7: parser error : Char 0xFFFE out of allowed range

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : PCDATA invalid Char value 65534

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : Char 0xFFFE out of allowed range

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : PCDATA invalid Char value 65534

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : Char 0xFFFE out of allowed range

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : PCDATA invalid Char value 65534

        <album corrected="0">一椀渀樀愀 䌀甀琀猀㨀 夀漀甀 

                             ^

Entity: line 7: parser error : Char 0xFFFE out of allowed range

        <album corrected="0">嬀䴀䔀䜀䄀䴀䤀匀䌀崀</album>

                             ^

[...240 lines of this...]

History

#1 - April 09, 2014 04:23 - John Lindgren

I can't reproduce this at all; the example MP3 file is scrobbled just once for me.  As a side note, the "parser error" is referring to an XML parser

(last.fm API uses a lot of XML), not an ID3 parser.

#2 - April 21, 2014 04:33 - John Lindgren

- Status changed from New to Rejected

Not enough information to reproduce.  Closing.

Powered by TCPDF (www.tcpdf.org)

June 15, 2025 1/1

http://chris.ill-logic.com/files/Pigbag%20-%20Papas%20Gotta%20Brand%20New%20Bag.mp3
http://chris.ill-logic.com/images/audacious-overscrobbling.png
http://www.tcpdf.org

